import request from "@/utils/request";

/*
 * 分页查询
 */
export const getTaCompanyBeneficiaryInfo = (params) => request(`/taCompanyBeneficiaryInfo`, { params });

/*
 * 新增数据
 */
export const postTaCompanyBeneficiaryInfo = (data) => request('/taCompanyBeneficiaryInfo', { data, method: 'post' });

/*
 * 更新数据
 */
export const putTaCompanyBeneficiaryInfo = (id, data) => request(`/taCompanyBeneficiaryInfo/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteTaCompanyBeneficiaryInfo = (id) => request(`/taCompanyBeneficiaryInfo/${id}`, { method: 'delete' });

/*
 * 通过ID查询单条数据
 */
export const getTaCompanyBeneficiaryInfoId = (id) => request(`/taCompanyBeneficiaryInfo/${id}`);





/*
 * 通过TenantId查询单条数 据
 */
export const getTaCompanyBeneficiaryInfoTenantId = () => request(`/taCompanyBeneficiaryInfo/tenant`);
