import request from "@/utils/request";

/*
 * 分页查询
 */
export const getTaCompanyLegalInfo = (params) => request(`/taCompanyLegalInfo`, { params });

/*
 * 新增数据
 */
export const postTaCompanyLegalInfo = (data) => request('/taCompanyLegalInfo', { data, method: 'post' });

/*
 * 更新数据
 */
export const putTaCompanyLegalInfo = (id, data) => request(`/taCompanyLegalInfo/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteTaCompanyLegalInfo = (id) => request(`/taCompanyLegalInfo/${id}`, { method: 'delete' });

/*
 * 通过ID查询单条数据
 */
export const getTaCompanyLegalInfoId = (id) => request(`/taCompanyLegalInfo/${id}`);




/*
 * 通过TenantId查询单条数 据
 */
export const getTaCompanyLegalInfoTenantId = () => request(`/taCompanyLegalInfo/tenant`);
