import request from "@/utils/request";

/*
 * 分页查询
 */
export const getTaCompanyLegalItem = (params) => request(`/taCompanyLegalItem`, { params });

/*
 * 新增数据
 */
export const postTaCompanyLegalItem = (data) => request('/taCompanyLegalItem', { data, method: 'post' });

/*
 * 更新数据
 */
export const putTaCompanyLegalItem = (id, data) => request(`/taCompanyLegalItem/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteTaCompanyLegalItem = (id) => request(`/taCompanyLegalItem/${id}`, { method: 'delete' });

/*
 * 通过ID查询单条数据
 */
export const getTaCompanyLegalItemId = (id) => request(`/taCompanyLegalItem/${id}`);



/**
 * 查询 所有的受益人
 */

/*
 * 通过ID查询单条数据
 */
export const getTaCompanyLegalItemAllCompany = () => request(`/taCompanyLegalItem/allCompany`);




